GNU bug report logs - #58286
29.0.50; (dired-toggle-read-only) should verify if file names changed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; dated Tue, 4 Oct 2022 07:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58286 <at> debbugs.gnu.org:


Received: (at 58286) by debbugs.gnu.org; 6 Oct 2022 12:00:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 06 08:00:04 2022
Received: from localhost ([127.0.0.1]:59174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ogPXo-0004EM-8B
	for submit <at> debbugs.gnu.org; Thu, 06 Oct 2022 08:00:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ogPXm-0004D9-BA
 for 58286 <at> debbugs.gnu.org; Thu, 06 Oct 2022 08:00:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=w/zdPYa8coohGZZpGUMqif0ghG1f1nv/3qQgxbPi8r4=; b=lCvXtFK/5RGo4V+xko1OxcNXe+
 YKmC7bFwXMDjNAsKryslgHJ2RC7dTUecH0uQQFQelCHYpaxSx41tqa5mbDolsngEXXyn00n4dMZXb
 iULQKLb/ejTD+XMXTFZFe7oVTLxH5juPd8EsziMC2KxVaXN1uP4r5Lb3YNGvrhu0Y6+k=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ogPXd-0002O7-5V; Thu, 06 Oct 2022 13:59:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#58286: 29.0.50; (dired-toggle-read-only) should verify if
 file names changed
In-Reply-To: <Yz3W9ZASFQP/JP1q@HIDDEN> (Jean Louis's message of
 "Wed, 5 Oct 2022 22:11:49 +0300")
References: <86czb85qzw.fsf@HIDDEN> <87zgeb3lwr.fsf@HIDDEN>
 <Yz3W9ZASFQP/JP1q@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEV2Uk3Au67u9vX/
 ///L+4V1AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YKBgs1N3XLnRoAAAGMSURBVCjPVdKxatxAEAbg
 WXES8VU2SCZSlSIpck+hhFiQToGbBW2VwnegfYrD4BSu7oy1YFU6oxWeecrsSMHBWyx8aGaY/RHA
 u7NNoYS4vNzGJaS+7Txqt8f+AKluf3r9+EfvTA1Z0exuv0+dRlvDtcF9a1ynG/sbCvNr347F846+
 zqjwmHCb4wDFg3ZXpaIkaQIcjQhQ6+hLwNjiBICbSsooNx4UoXkJYHZURvRUscBPfExwUFZAu36y
 zbgA/cNxzVQZGZBwz8ymcoKCe+uZipPgmilVoUymUcTsLXstGCOemK0/CY4RnxrKYjQLaAV1vBUM
 Cd/m1SGPe8H6NbsY4UMmGMMO8VCuWAYMxVOdXh3AzojuEfclLF9Uj8g/1DQD7IXmG+VmfPqs6lX0
 bVkHMr/F8/2ChD3aAY2g3gT0L499QK42TDpEJO/5mIewAjopy+06lIX3zT1c8SmgmzfgO54C3IIz
 n7u5bY6XvQtJLWBpIP2GkKH5D0v2Da9W7n+QDsEqxnCUXOW7H+wv6Cvqu1FwwH4AAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjItMTAtMDZUMTE6NTM6NTUrMDA6MDDUG/OhAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIyLTEwLTA2VDExOjUzOjU1KzAwOjAwpUZLHQAAAABJRU5ErkJggg==
X-Now-Playing: Material, Nona Hendryx's _A Christmas Record_: "It's A Holiday"
Date: Thu, 06 Oct 2022 13:59:50 +0200
Message-ID: <87ilkx17t5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: >> Do you have a
 step-by-step
 recipe, starting from "emacs -Q", that >> demonstrates the problem? > > It
 is explained above. The file my-file.ext.part was edited, but then > at some
 point the file nam [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58286
Cc: 58286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

>> Do you have a step-by-step recipe, starting from "emacs -Q", that
>> demonstrates the problem?
>
> It is explained above. The file my-file.ext.part was edited, but then
> at some point the file named changed during editing, or file may be
> removed. After editing, the buffer was not refreshed. I could see new
> file name in the buffer while that file did not exist.
>
> With emacs -Q I see that it refreshes.
>
> I can't understand why and how, that is what happened. I do not change
> dired myself in anyway, even if not used with emacs -Q.

That's still not a step-by-step recipe -- I don't understand what you
say you've done, or what you're seeing.

If the case is that you can't repeat the problem, but that it was
something odd that happened once, but you don't know how or why, then I
don't think we're going to get any further here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58286; Package emacs. Full text available.

Message received at 58286 <at> debbugs.gnu.org:


Received: (at 58286) by debbugs.gnu.org; 5 Oct 2022 19:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 05 15:29:45 2022
Received: from localhost ([127.0.0.1]:58122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ogA5R-0001Hh-2I
	for submit <at> debbugs.gnu.org; Wed, 05 Oct 2022 15:29:45 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:35561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1ogA5P-0001HR-4o
 for 58286 <at> debbugs.gnu.org; Wed, 05 Oct 2022 15:29:43 -0400
Received: from localhost ([::ffff:154.227.156.251])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000BA40A.00000000633DDB20.00007BE2; Wed, 05 Oct 2022 12:29:36 -0700
Date: Wed, 5 Oct 2022 22:11:49 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58286: 29.0.50; (dired-toggle-read-only) should verify if
 file names changed
Message-ID: <Yz3W9ZASFQP/JP1q@HIDDEN>
References: <86czb85qzw.fsf@HIDDEN>
 <87zgeb3lwr.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87zgeb3lwr.fsf@HIDDEN>
User-Agent: Mutt/2.2.7+37 (a90f69b) (2022-09-02)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58286
Cc: 58286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Lars Ingebrigtsen <larsi@HIDDEN> [2022-10-04 13:48]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > I have noticed that C-x C-q does not verify if file names changed.
> >
> > If file name was:
> >
> > my-file.ext.part
> >
> > once C-x C-q is invoked, it does not refresh buffer. In my opinion it
> > shall refresh buffer or warn that file name does not exist any more, if
> > it does not, so that editing of file names makes sense.
> 
> I don't understand what you mean here -- editing file names in wdired
> works fine for me.
> 
> Do you have a step-by-step recipe, starting from "emacs -Q", that
> demonstrates the problem?

It is explained above. The file my-file.ext.part was edited, but then
at some point the file named changed during editing, or file may be
removed. After editing, the buffer was not refreshed. I could see new
file name in the buffer while that file did not exist.

With emacs -Q I see that it refreshes.

I can't understand why and how, that is what happened. I do not change
dired myself in anyway, even if not used with emacs -Q.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58286; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58286 <at> debbugs.gnu.org:


Received: (at 58286) by debbugs.gnu.org; 4 Oct 2022 10:47:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 04 06:47:59 2022
Received: from localhost ([127.0.0.1]:52587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1offSx-0001dy-Fb
	for submit <at> debbugs.gnu.org; Tue, 04 Oct 2022 06:47:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1offSv-0001dC-GT
 for 58286 <at> debbugs.gnu.org; Tue, 04 Oct 2022 06:47:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wTuAzFJqDtoQU4yIWxuI2OzfGlMYKus58TBt6kI5Ows=; b=nNrP3rwd04dceZH8d99loObsHj
 D213TI0TCn9l8PVtIki+SHPAkucuXaaSvPEAvz8JLc1HkYrm1gmlOVKAEYXDbAdP6rLbwAEx6PPzC
 Qdo+c2cI6PgWpsfOahQkw6g3OZ42l6m+oKeYAHtPdyALSFqWDocclDcbq/yS/k0c82nU=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1offSm-000318-M0; Tue, 04 Oct 2022 12:47:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#58286: 29.0.50; (dired-toggle-read-only) should verify if
 file names changed
In-Reply-To: <86czb85qzw.fsf@HIDDEN> (Jean Louis's message of
 "Tue, 04 Oct 2022 04:14:59 +0300")
References: <86czb85qzw.fsf@HIDDEN>
X-Now-Playing: Propaganda's _A Secret Wish_: "Sorry For Laughing"
Date: Tue, 04 Oct 2022 12:47:48 +0200
Message-ID: <87zgeb3lwr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > I have noticed that
 C-x C-q does not verify if file names changed. > > If file name was: > >
 my-file.ext.part > > once C-x C-q is invoked, it does not refresh buffer.
 In my opinion it > shall refres [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58286
Cc: 58286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> I have noticed that C-x C-q does not verify if file names changed.
>
> If file name was:
>
> my-file.ext.part
>
> once C-x C-q is invoked, it does not refresh buffer. In my opinion it
> shall refresh buffer or warn that file name does not exist any more, if
> it does not, so that editing of file names makes sense.

I don't understand what you mean here -- editing file names in wdired
works fine for me.

Do you have a step-by-step recipe, starting from "emacs -Q", that
demonstrates the problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58286; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2022 07:52:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 04 03:52:49 2022
Received: from localhost ([127.0.0.1]:52337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ofcjQ-0005QS-S8
	for submit <at> debbugs.gnu.org; Tue, 04 Oct 2022 03:52:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:60010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1ofcjP-0005QK-A1
 for submit <at> debbugs.gnu.org; Tue, 04 Oct 2022 03:52:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33066)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1ofcjO-000758-Vw
 for bug-gnu-emacs@HIDDEN; Tue, 04 Oct 2022 03:52:47 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:46213)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1ofcjM-0005md-As
 for bug-gnu-emacs@HIDDEN; Tue, 04 Oct 2022 03:52:46 -0400
Received: from localhost ([::ffff:197.239.4.40])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000BA409.00000000633BE62A.00003C60; Tue, 04 Oct 2022 00:52:10 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; (dired-toggle-read-only) should verify if file names changed
Date: Tue, 04 Oct 2022 04:14:59 +0300
Message-ID: <86czb85qzw.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: 0
X-Spam_score: 0.0
X-Spam_bar: /
X-Spam_report: (0.0 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_06_12=1.543,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_SBL=0.141, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I have noticed that C-x C-q does not verify if file names
 changed. If file name was: my-file.ext.part 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.4.40 listed in zen.spamhaus.org]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=admin%40protected.rcdrun.com; ip=209.51.188.17; r=debbugs.gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I have noticed that C-x C-q does not verify if file names
   changed. If file name was: my-file.ext.part 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
                             [197.239.4.40 listed in zen.spamhaus.org]
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=admin%40protected.rcdrun.com;ip=209.51.188.17;r=debbugs.gnu.org]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager


I have noticed that C-x C-q does not verify if file names changed.

If file name was:

my-file.ext.part

once C-x C-q is invoked, it does not refresh buffer. In my opinion it
shall refresh buffer or warn that file name does not exist any more, if
it does not, so that editing of file names makes sense.




In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2022-10-03 built on
 protected.rcdrun.com
Repository revision: 81003b53f87597aba0320dd785227b219ae2ad1f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 39354 7874)
 (symbols 48 5144 2)
 (strings 32 14289 1490)
 (string-bytes 1 403336)
 (vectors 16 10435)
 (vector-slots 8 159697 13908)
 (floats 8 23 21)
 (intervals 56 276 0)
 (buffers 1000 12))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58286; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Oct 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.